Permalink
Browse files

Add compat layer for constructor for eZSiteInstaller (#1339)

* Add compat layer for constructor for eZSiteInstaller

Given this is used by packaged we need to make sure it still works with old style.

* Update ezsiteinstaller.php

* Update ezsiteinstaller.php
  • Loading branch information...
andrerom committed Jan 10, 2018
1 parent eb88868 commit c23625abc0cc52a6f1859917415a5b6e554d3e83
Showing with 9 additions and 0 deletions.
  1. +9 −0 kernel/classes/ezsiteinstaller.php
@@ -33,6 +33,15 @@ public function __construct( $parameters = false )
$this->LastErrorCode = eZSiteInstaller::ERR_OK;
}
/**
* @deprecated Use eZSiteInstaller::__construct() instead
* @param bool $parameters
*/
function eZSiteInstaller( $parameters = false )
{
self::__construct( $parameters );
}
function &instance( $params )
{
eZDebug::writeWarning( "Your installer doesn't implement 'instance' function", __METHOD__ );

0 comments on commit c23625a

Please sign in to comment.